Menu

## Model

### Interfaces, Classes and Traits

AutoScaleFighter
  Automatically calculated values based on the fighter's level.
Creator
  Provides methods for creating new entities.
Deletor
  Provides methods for deleting entities.
ExtendableModel
  Trait to add the __call class required for extendable models.
GameAware
  Helper trait to implement public setGame from GameAwareInterface and private getGame for internal use.
MockCharacter
  Provides basic implementation to mock CharacterInterface.
PermissionAssociationable
  Tools to work with a permission type field.
Properties
  Provides method and doctrine annotation for a property submodel.
PropertyManager
  Provides method and doctrine annotation for a property submodel.
Saveable
  Provides methods for persisting Saveable entities.
SceneBasics
  Provides scene basics.
SoftDeletable
  Provides methods for deleting entities.
UserAssignable

## Search results